MODULE solvate
!
!**********************************************************************************
!*  SOLVATE                                                                       *
!**********************************************************************************
!* This module reads atom positions of a solvent, and duplicates the              *
!* solvent molecule to fill the box.                                              *
!**********************************************************************************
!* (C) November 2014 - Pierre Hirel                                               *
!*     Université de Lille, Sciences et Technologies                              *
!*     UMR CNRS 8207, UMET - C6, F-59655 Villeneuve D'Ascq, France                *
!*     pierre.hirel@univ-lille.fr                                                 *
!* Last modification: P. Hirel - 25 Nov. 2014                                     *
!**********************************************************************************
!* This program is free software: you can redistribute it and/or modify           *
!* it under the terms of the GNU General Public License as published by           *
!* the Free Software Foundation, either version 3 of the License, or              *
!* (at your option) any later version.                                            *
!*                                                                                *
!* This program is distributed in the hope that it will be useful,                *
!* but WITHOUT ANY WARRANTY; without even the implied warranty of                 *
!* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                  *
!* GNU General Public License for more details.                                   *
!*                                                                                *
!* You should have received a copy of the GNU General Public License              *
!* along with this program.  If not, see <http://www.gnu.org/licenses/>.          *
!**********************************************************************************
!
USE atoms
USE comv
USE constants
USE messages
USE files
USE subroutines
USE readin
USE options
!
!
CONTAINS
!
!
SUBROUTINE SOLVATE_XYZ(solvent,H,P,S,AUXNAMES,AUX)
!
!
IMPLICIT NONE
CHARACTER(LEN=4096),INTENT(IN):: solvent  !name of file containing atom positions of the solvent
!
!
!
100 CONTINUE
!Read atom positions of the solvent
CALL READ_AFF(solvent,Hsol,Psol,Ssol,comment,AUXNAMESsol,AUXsol)
!
!
!
200 CONTINUE
!Duplicate solvent molecule so as to fill the cell
!NOTE: if an atom of the solute molecule exists in the duplicate cell of the solvent,
!     then don't put a solvent molecule there.

!
!
!
300 CONTINUE
!Apply options

!Write output file(s)

END SUBROUTINE SOLVATE_XYZ
!
!
!
END MODULE solvate